## drkonqi-pk-debug-installer 0.1+p22.04+vrelease+git20240704.1201

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2017-2020 Harald Sitter <sitter@kde.org>

cmake_minimum_required(VERSION 3.16.3)

set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.75")

project(drkonqi-pk-debug-installer)
set(PROJECT_VERSION "1.0")
if(NOT VERSION_STRING_FULL) # May be set by packaging; realistically we have no version
    set(VERSION_STRING_FULL ${PROJECT_VERSION})
endif()

set(DEBUG_REPO_APPSTREAM_IDS ""
    CACHE STRING
        "Semicolon separated list of appstream 'repository' component IDs describing debug repos that need adding")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMQtDeclareLoggingCategory)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Widgets DBus Test Quick)
find_package(KF5CoreAddons ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Declarative ${KF5_MIN_VERSION} REQUIRED)
find_package(PackageKitQt5 REQUIRED)
find_package(AppStreamQt5 1.0.2 REQUIRED)

# Disable legacy stuff to get rid of some deprecation warnings.
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)

# Standardish sanity definitions we tend to use in KDE software.
add_definitions(
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
)

if(BUILD_TESTING)
# None here right now. A bit tricky to test anything here without an abstraction interface towards PK.
#  add_subdirectory(autotests)
endif()

ki18n_install(po)

add_subdirectory(src)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2017-2021 Harald Sitter <sitter@kde.org>

add_definitions(-DTRANSLATION_DOMAIN=\"drkonqi-pk-debug-installer\")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/BuildConfig.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/BuildConfig.h)

set(installdbgsymbols_SRCS
    DebugResolver.cpp
    FileResolver.cpp
    Installer.cpp
    Package.cpp
    DebugPackage.cpp
    Logger.cpp
    File.cpp
    DebugRepoEnabler.cpp
    DiagnosticResolver.cpp
)

ecm_qt_declare_logging_category(installdbgsymbols_SRCS
    HEADER Debug.h
    IDENTIFIER INSTALLER
    DEFAULT_SEVERITY Debug
    CATEGORY_NAME "org.kde.drkonqi.pk-debug-installer"
    DESCRIPTION "PackageKit based debug installer for drkonqi"
)

add_executable(drkonqi-pk-debug-installer ${installdbgsymbols_SRCS} main.cpp qml/qml.qrc assets.qrc)

target_compile_definitions(drkonqi-pk-debug-installer
  PRIVATE $<$<OR:$<CONFIG:Debug>,$<CONFIG:RelWithDebInfo>>:QT_QML_DEBUG>)

target_link_libraries(drkonqi-pk-debug-installer
    PRIVATE
        Qt5::Widgets
        Qt5::Quick
        KF5::CoreAddons
        KF5::I18n
        PK::packagekitqt5
        KF5::Declarative
        AppStreamQt
)

install(TARGETS drkonqi-pk-debug-installer ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.drkonqi-pk-debug-installer.desktop DESTINATION ${KDE_INSTALL_APPDIR})

## drkonqi-pk-debug-installer 0.1+p24.04+vrelease+git20250817.0902

=== debian/changelog ===
drkonqi-pk-debug-installer (0.1+p24.04+vrelease+git20250817.0902-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 17 Aug 2025 09:02:29 +0000

drkonqi-pk-debug-installer (0.1-0neon) xenial; urgency=medium

  * Don't run tests on account of them requiring a fully working qapt stack,
    which is crappy to get going.

 -- Harald Sitter <sitter@kde.org>  Wed, 25 Nov 2015 13:32:35 +0100

## drkonqi-pk-debug-installer 0.1+p24.04+vrelease+git20250828.0614

=== debian/changelog ===
drkonqi-pk-debug-installer (0.1+p24.04+vrelease+git20250828.0614-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 06:14:48 +0000

## drkonqi-pk-debug-installer 0.1+p24.04+vrelease+git20250908.0801

=== debian/changelog ===
drkonqi-pk-debug-installer (0.1+p24.04+vrelease+git20250908.0801-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 08:01:53 +0000

## drkonqi-pk-debug-installer 0.1+p24.04+vrelease+git20251112.0110

=== debian/changelog ===
drkonqi-pk-debug-installer (0.1+p24.04+vrelease+git20251112.0110-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 12 Nov 2025 01:10:06 +0000

## drkonqi-pk-debug-installer 0.1+p24.04+vrelease+git20251123.0952

=== debian/changelog ===
drkonqi-pk-debug-installer (0.1+p24.04+vrelease+git20251123.0952-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:52:14 +0000

## drkonqi-pk-debug-installer 0.1+p24.04+vrelease+git20251220.0042

=== debian/changelog ===
drkonqi-pk-debug-installer (0.1+p24.04+vrelease+git20251220.0042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 00:42:31 +0000

## drkonqi-pk-debug-installer 0.1+p24.04+vrelease+git20260102.0029

=== debian/changelog ===
drkonqi-pk-debug-installer (0.1+p24.04+vrelease+git20260102.0029-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 00:29:12 +0000

## drkonqi-pk-debug-installer 0.1+p24.04+vstable+git20250905.0206

=== debian/changelog ===
drkonqi-pk-debug-installer (0.1+p24.04+vstable+git20250905.0206-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 05 Sep 2025 02:06:44 +0000

## drkonqi-pk-debug-installer 0.1+p24.04+vstable+git20250914.1534

=== debian/changelog ===
drkonqi-pk-debug-installer (0.1+p24.04+vstable+git20250914.1534-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 15:34:07 +0000

## drkonqi-pk-debug-installer 0.1+p24.04+vstable+git20251015.1227

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 
 cmake_minimum_required(VERSION 3.16.3)
 
-set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.75")
+set(QT_MIN_VERSION "6.7.0")
+set(KF5_MIN_VERSION "6.4.0")
 
 project(drkonqi-pk-debug-installer)
 set(PROJECT_VERSION "1.0")
@@ -32,12 +32,12 @@
 include(KDECompilerSettings)
 include(ECMQtDeclareLoggingCategory)
 
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Widgets DBus Test Quick)
-find_package(KF5CoreAddons ${KF5_MIN_VERSION} REQUIRED)
-find_package(KF5I18n ${KF5_MIN_VERSION} REQUIRED)
-find_package(KF5Declarative ${KF5_MIN_VERSION} REQUIRED)
-find_package(PackageKitQt5 REQUIRED)
-find_package(AppStreamQt5 1.0.2 REQUIRED)
+find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Widgets DBus Test Quick)
+find_package(KF6CoreAddons ${KF5_MIN_VERSION} REQUIRED)
+find_package(KF6I18n ${KF5_MIN_VERSION} REQUIRED)
+find_package(KF6Declarative ${KF5_MIN_VERSION} REQUIRED)
+find_package(PackageKitQt6 REQUIRED)
+find_package(AppStreamQt 1.0.2 REQUIRED)
 
 # Disable legacy stuff to get rid of some deprecation warnings.
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)

=== debian/changelog ===
drkonqi-pk-debug-installer (0.1+p24.04+vstable+git20251015.1227-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 12:27:13 +0000

=== debian/control ===
Source: drkonqi-pk-debug-installer
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-kdeclarative-dev,
               kf6-ki18n-dev,
               libappstreamqt-dev,
               libpackagekitqt6-dev,
               pkg-kde-tools-neon
Standards-Version: 4.6.2
Homepage: https://www.kde.org
Vcs-Git: https://invent.kde.org/neon/neon/debug-installer.git
Vcs-Browser: https://invent.kde.org/neon/neon/debug-installer
Maintainer: Neon CI <neon@kde.org>

Package: drkonqi-pk-debug-installer
Architecture: any
Depends: packagekit, ${misc:Depends}, ${shlibs:Depends}
Replaces: kubuntu-debug-installer
Conflicts: kubuntu-debug-installer
Description: Debug package installer for DrKonqi crash reporting
 This installer permits drkonqi, KDE's automatic backtrace and bug report
 utility, to find and install missing debug symbols, so that backtraces
 become more useful.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- \
		-DVERSION_STRING_FULL=$(DEB_VERSION)

## drkonqi-pk-debug-installer 0.1+p24.04+vstable+git20251019.0343

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -32,12 +32,11 @@
 
 target_link_libraries(drkonqi-pk-debug-installer
     PRIVATE
-        Qt5::Widgets
-        Qt5::Quick
-        KF5::CoreAddons
-        KF5::I18n
-        PK::packagekitqt5
-        KF5::Declarative
+        Qt6::Widgets
+        Qt6::Quick
+        KF6::CoreAddons
+        KF6::I18n
+        PK::packagekitqt6
         AppStreamQt
 )

=== debian/changelog ===
drkonqi-pk-debug-installer (0.1+p24.04+vstable+git20251019.0343-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:43:11 +0000

## drkonqi-pk-debug-installer 0.1+p24.04+vstable+git20251222.0449

=== debian/changelog ===
drkonqi-pk-debug-installer (0.1+p24.04+vstable+git20251222.0449-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 04:49:18 +0000

## drkonqi-pk-debug-installer 0.1+p24.04+vstable+git20251231.0240

=== debian/changelog ===
drkonqi-pk-debug-installer (0.1+p24.04+vstable+git20251231.0240-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:40:24 +0000

## drkonqi-pk-debug-installer 0.1+p24.04+vunstable+git20251220.0337

=== debian/changelog ===
drkonqi-pk-debug-installer (0.1+p24.04+vunstable+git20251220.0337-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 03:37:17 +0000

## drkonqi-pk-debug-installer 0.1+p24.04+vunstable+git20260101.0215

=== debian/changelog ===
drkonqi-pk-debug-installer (0.1+p24.04+vunstable+git20260101.0215-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 02:15:29 +0000
